# Update subscription

상태를 변경(active, canceled, 혹은 non_renewing)하거나 다음 청구 날짜를 연기하여 정기 결제를 업데이트합니다.

Endpoint: PUT /projects/{project_id}/users/{user_id}/subscriptions/{subscription_id}
Version: 2.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID.

  - `user_id` (string, required)
    User ID.

  - `subscription_id` (integer, required)
    Subscription ID.

## Request fields (application/json):

  - `cancel_subscription_payment` (boolean)
    true로 설정하면 본 정기 결제 최종 결제 금액이 환불됩니다. 이 옵션은 상태가 canceled로 설정된 경우에만 작동합니다.

  - `status` (string)
    Status.
    Enum: "active", "canceled", "non_renewing"

  - `timeshift` (object)
    Billing postponement.

  - `timeshift.type` (string)
    청구 기간 단위입니다. day 또는 month일 수 있습니다.
    Enum: "day", "month"

  - `timeshift.value` (string)
    청구를 연기할 시간 단위 수입니다. 값은 유형 매개 변수에 따라 달라지며 다음이 될 수 있습니다: - type이 day인 경우 1~366,type이 month인 경우 1~12

  - `xsolla_network` (object)

  - `xsolla_network.collaborator_id` (string)
    협력자 ID - [인플루언서](https://developers.xsolla.com/ko/doc/partner-network/#guides_network_glossary_influencer) 혹은 [제휴 네트워크](https://developers.xsolla.com/ko/doc/partner-network/#guides_network_glossary_affiliate_network) 식별자입니다. 이는 관리자 페이지 > 파트너 네트워크 > 인플루언서 섹션에서 찾을 수 있습니다.


## Response 200 fields
